Get Order Refund
Returns a single refund for the given order by refund ID. The response has the same shape as the [Get Refund](/developer/api-reference/rest/admin/management/order-operations/payment-actions/get-order-refund) endpoint.
Requires at least one of the following scopes:
* `store_v2_transactions_read_only`
* `store_v2_transactions`
**Note:** Use a refund ID that belongs to the order in the path. The refund ID is unique across the store, so a refund ID that belongs to a different order still resolves to that refund.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` |
| Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` |
| Orders | read and modify `payment_methods` |`store_v2_orders`|
| Orders | read `payment_methods` |`store_v2_orders_read_only`|
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
order_id
The ID of the Order to which the transactions belong.
refund_id
Refund ID.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.
Response
The ID of the created refund.
data
meta
Response metadata.
Errors
422
Unprocessable Entity Error